Subject: [eap] RE: [Issue 297] Review of Identity Selection -12

From: Bernard Aboba <[email-masked]>
Date: Tue, 10 May 2005 22:39:04 -0700 (PDT)

On Tue, 10 May 2005, Adrangi, Farid wrote:

> Bernrad,
> Sorry for the delay.  I think I understand what you are asking.  So, how
> about we add "Updates:RFC2607" in the header, and add the following
> subsection (i.e., 1.1) in the introduction?
> "
> This document specifies the behavior of RADIUS proxies that handle EAP
> messages.  Moreover, this document describes an acceptable proxy
> behavior in response to an unknown realm in an Access-Request containing
> EAP-Message attributes.  This affects the behavior of RADIUS proxies in
> roaming situations.  RFC2607 needs to be updated to clarify its usage
> with EAP.
> "
>
> Will this work for you?  I hope this addition won't block or delay the
> advancement of this draft!!!  Please advise.

How about the following:

"This document specifies behavior of RADIUS proxies that handle
EAP messages.  This includes the specification of the behavior of
proxies in response to an unknown realm within the User-Name attribute
of an Access-Request containing one or EAP-Message attributes.  This
document, which depends on NAI "decoration" specified in
[RFC2486bis], assumes a source routing model for determination of
the roaming relationship path, and therefore affects the behavior of
RADIUS proxies in roaming situations."

>
> BR,
> Farid
>
>
> > -----Original Message-----
> > From: Bernard Aboba [mailto:[email-masked]]
> > Sent: Wednesday, April 27, 2005 7:42 AM
> > To: [email-masked]
> > Cc: Adrangi, Farid; [email-masked]
> > Subject: RE: [Issue 297] Review of Identity Selection -12
> >
> >
> > > Since draft-adrangi-eap-network-discovery-12 does not even have
> > > a reference to RFC 2607, I don't think any "Updates" header
> > > is needed...
> >
> > RFC 2607 specifies RADIUS proxy behavior in roaming.  This document
> > specifies the behavior of RADIUS proxies that handle EAP messages.
> >
> > Moreoever, the document implicitly assumes a model by which requests
> > are routed (source routing).
> >
> > These additions affect the behavior of RADIUS proxies. Between this
> > document and RFC 2486bis,  many proxies will need to be modified.
> >
> > I'm suggesting that we explicitly acknowledge the changes by
> > including an
> > Updates: header.
> >
> > Another alternative would be to remove the material relating to proxy
> > behavior, and put it in a separate document within RADEXT WG.  That
> > document could expand on the required changes in more depth
> > (such as the expected handling of source routed NAIs).
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap

---

From: Jari Arkko <[email-masked]>
Date: Wed, 11 May 2005 16:39:27 +0300

Works for me. --Jari